OpenTTD Source: SlGamelogEmergency Class Reference

OpenTTD Source 15.3

Public Member Functions | Static Public Attributes
SlGamelogEmergency Class Reference
Inheritance diagram for SlGamelogEmergency:

## Public Member Functions
void | Save (LoggedChange *lc) const override
void | Load (LoggedChange *lc) const override
void | LoadCheck (LoggedChange *lc) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlGamelogEmergency, LoggedChange >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (LoggedChange *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _gamelog_emergency_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 266 of file gamelog_sl.cpp.

## Member Function Documentation

## ◆ Load()

void SlGamelogEmergency::Load | ( | LoggedChange * | lc | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogEmergency, LoggedChange >.

Definition at line 282 of file gamelog_sl.cpp.

## ◆ LoadCheck()

void SlGamelogEmergency::LoadCheck | ( | LoggedChange * | lc | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogEmergency, LoggedChange >.

Definition at line 289 of file gamelog_sl.cpp.

## ◆ Save()

void SlGamelogEmergency::Save | ( | LoggedChange * | lc | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogEmergency, LoggedChange >.

Definition at line 274 of file gamelog_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlGamelogEmergency::compat_description = _gamelog_emergency_sl_compat
| inlinestatic

Definition at line 272 of file gamelog_sl.cpp.

## ◆ description

const SaveLoad SlGamelogEmergency::description[]
| inlinestatic

Initial value:
= {
SLEG_CONDVAR("is_emergency_save", _is_emergency_save, SLE_BOOL, SLV_RIFF_TO_ARRAY, SL_MAX_VERSION),
}
SLEG_CONDVAR
#define SLEG_CONDVAR(name, variable, type, from, to)
Storage of a global variable in some savegame versions.
Definition saveload.h:1124
SLV_RIFF_TO_ARRAY
@ SLV_RIFF_TO_ARRAY
294 PR#9375 Changed many CH_RIFF chunks to CH_ARRAY chunks.
Definition saveload.h:332
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition saveload.h:416

Definition at line 269 of file gamelog_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/gamelog_sl.cpp